Name:          libleptonica
Version:       1.84.1
Release:       1mamba
Summary:       Image processing and analysis library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://leptonica.org/
Source:        https://github.com/DanBloomberg/leptonica.git/%{version}/leptonica-%{version}.tar.bz2
#Source:        http://leptonica.org/source/leptonica-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgif-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libwebp-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
Leptonica is an image processing and analysis library.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%package tools
Group:         System/Tools
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
The 190+ programs are an integral part of leptonica package.
These can be divided into three types:
(1) Programs that are complete regression tests. The most important of these are named *_reg.  We are in the process of standardizing the regression tests, and making it easy to write them.  See regutils.h for details.
(2) Programs that were used to test library functions or auto-gen library code. These are useful for testing the behavior of small sets of functions, and for providing example code.
(3) Programs that are useful applications in their own right. Examples of these are the PostScript conversion programs converttops, convertfilestops, convertsegfilestops, printimage and printsplitimage.

%debug_package

%prep
%setup -q -n leptonica-%{version}
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libleptonica.so.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/leptonica
%{_includedir}/leptonica/*.h
#%{_libdir}/liblept.a
#%{_libdir}/liblept.la
#%{_libdir}/liblept.so
%{_libdir}/libleptonica.a
%{_libdir}/libleptonica.so
%{_libdir}/pkgconfig/lept.pc
%{_libdir}/cmake/LeptonicaConfig*.cmake

%files tools
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Thu Jan 04 2024 Automatic Build System <autodist@mambasoft.it> 1.84.1-1mamba
- automatic version update by autodist

* Sun Dec 24 2023 Automatic Build System <autodist@mambasoft.it> 1.84.0-1mamba
- automatic version update by autodist

* Sat Jan 28 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.83.1-1mamba
- update to 1.83.1

* Thu Dec 22 2022 Automatic Build System <autodist@mambasoft.it> 1.83.0-1mamba
- automatic version update by autodist

* Fri Sep 24 2021 Automatic Build System <autodist@mambasoft.it> 1.82.0-1mamba
- automatic version update by autodist

* Sat Jun 12 2021 Automatic Build System <autodist@mambasoft.it> 1.81.1-1mamba
- automatic version update by autodist

* Mon Jun 07 2021 Automatic Build System <autodist@mambasoft.it> 1.81.0-1mamba
- automatic version update by autodist

* Sun Aug 02 2020 Automatic Build System <autodist@mambasoft.it> 1.80.0-1mamba
- automatic version update by autodist

* Mon Jan 27 2020 Automatic Build System <autodist@mambasoft.it> 1.79.0-1mamba
- automatic version update by autodist

* Sun Mar 31 2019 Automatic Build System <autodist@mambasoft.it> 1.78.0-1mamba
- automatic version update by autodist

* Sun Jun 03 2018 Automatic Build System <autodist@mambasoft.it> 1.76.0-1mamba
- automatic version update by autodist

* Sun Feb 18 2018 Automatic Build System <autodist@mambasoft.it> 1.75.3-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 1.74.4-1mamba
- automatic version update by autodist

* Tue Jan 10 2017 Automatic Build System <autodist@mambasoft.it> 1.74-1mamba
- automatic version update by autodist

* Tue Mar 01 2016 Automatic Build System <autodist@mambasoft.it> 1.73-1mamba
- automatic version update by autodist

* Fri Oct 02 2015 Automatic Build System <autodist@mambasoft.it> 1.72-1mamba
- automatic version update by autodist

* Sun Jul 13 2014 Automatic Build System <autodist@mambasoft.it> 1.71-1mamba
- automatic version update by autodist

* Mon Jun 09 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.70-1mamba
- update to 1.70

* Fri Jul 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.69-1mamba
- package created by autospec
